      program operaciones matrices
c     este es un programa que calcula
c     operaciones matriciales
      implicit none  !esta int desactiva la declaracion implicita
      real*8 A(10,10),B(10),C(10),sum
      integer n,i,nf,nc,j
C     ahora operamos matriz * vector
      nf=4
      nc=4
      do i=1, nf
         do j=1,nc
         write(*,*) 'ingrese elemento A(',i,',',j,')'
         read(*,*) A(i,j)
         end do
      end do

      do i=1,nc
        write(*,*) 'ingrese elemento B(',i,')'
        read(*,*) B(i)         
      end do 

      do i=1,nc
       sum=0.0
         do j=1,nf
           sum= A(i,j)*B(j)+sum
         end do
        C(i)=sum
      end do 
      do i=1,nc
        write(*,*) C(i)
      end do 
      
      end program